﻿@using ConstructisV2.web.Models
@model ConstructisV2.web.Models.FormVentaViewModel 
@{
    ViewBag.Title = "Vender";
    Layout = "~/Views/Shared/_Layout.cshtml";
}

<div class="row">
    <form method="post" class="col-md-6 col-md-offset-3" style="margin-top: 2em;">
        @*Clientes*@
        <div class="form-group">
            <label for="cmbCliente">Cliente</label>
            @Html.DropDownListFor(x => Model.DocumentoCliente, new SelectList(Model.Clientes, "Documento", "NombreCompleto"), htmlAttributes: new { @class = "form-control", id = "Cliente", name = "Cliente" })
        </div>

        @*Edificios*@
        <div class="form-group">
            <label for="cmbEdificio">Edificio</label>
            @Html.DropDownListFor(x => Model.Direccion, new SelectList(Model.Edificios, "Nombre", "Direccion"), htmlAttributes: new { @class = "form-control", id = "Edificio", name = "Edificio" })
        </div>

        @*Apartamentos*@
        <div class="form-group">
            <label for="cmbApartamento">Apartamento</label>
            @Html.DropDownListFor(x => Model.PrecioBase, new SelectList(Model.Apartamentos, "PrecioBase", "Numero"), htmlAttributes: new { @class = "form-control", id = "Apartamento", name = "Apartamento" })
        </div>

        <input type="submit" value="Vender" class="btn btn-success" />
    </form>
</div>
@section Scripts {
    <script type="text/javascript">
        $('#Edificio').change(function () {
            var edificioSeleccionado = $("#Edificio").val();
            var apartamentosSelect = $('#Apartamento');
            apartamentosSelect.empty();
            if (edificioSeleccionado != null && edificioSeleccionado != '') {
                $.getJSON('@Url.Action("ObtenerApartamentos")', { nombreEdificio: edificioSeleccionado }, function (aptos) {
                    if (aptos != null && !jQuery.isEmptyObject(aptos))
                    {
                        apartamentosSelect.append($('<option/>', {
                            value: null,
                            text: ""
                        }));
                        $.each(aptos, function (index, apto) {
                            apartamentosSelect.append($('<option/>', {
                                value: apto.PrecioBase, // Averiguar que atributo define a un apartamento
                                text: apto.Piso
                            }));
                        });
                    };
                });
            }
        });
    </script>
}
